#! /usr/bin/env node
import chalk from "chalk";
import inquirer from "inquirer";
let currentBalance = 20000;
console.log("Your Current Balance is:", currentBalance);
let myPinCode = 5654;
let enterPinCode = await inquirer.prompt([
    {
        name: "pinCode",
        type: "number",
        message: "Enter Your Pin Code:",
    },
]);
if (enterPinCode.pinCode === myPinCode) {
    console.log(chalk.green.bold("Correct Pin Code!!!"));
    let operationAns = await inquirer.prompt([
        {
            name: "operation",
            type: "list",
            message: "what you want to do",
            choices: ['withdraw', 'deposit', 'check balance'],
        },
    ]);
    if (operationAns.operation === 'withdraw') {
        let withdrawalAmount = await inquirer.prompt([
            {
                name: "myWithdrawalAmount",
                type: "number",
                message: "Enter Withraw Amount:"
            }
        ]);
        if (withdrawalAmount.myWithdrawalAmount > currentBalance) {
            console.log("Insufficient Balance", withdrawalAmount.myWithdrawalAmount);
            console.log("Your Current Balance is:", currentBalance);
        }
        else {
            currentBalance -= withdrawalAmount.myWithdrawalAmount;
            console.log("Your Remaining Balance is:", currentBalance);
        }
    }
    else if (operationAns.operation === 'deposit') {
        let depositAmount = await inquirer.prompt([
            {
                name: "myDepositAmount",
                type: "number",
                message: "Enter Deposit Amount:"
            }
        ]);
        currentBalance += depositAmount.myDepositAmount;
        console.log("Your Current Balance is:", currentBalance);
    }
    else if (operationAns.operation === 'check balance') {
        console.log("Your Current Balance is:", currentBalance);
    }
    else
        console.log(chalk.red.italic.bold("You Select Wrong Operation!!!"));
}
else
    console.log(chalk.red.italic.bold("Incorrect Pin Code!"));
